using Engine.Graphics.Texture;
using Engine.Scene;
using OpenTK.Windowing.Common;

namespace Engine.Graphics;

public interface IPresenter : IUpdate, IRender
{
  bool IsExiting { get; }
  int Width { get; }
  int Height { get; }

  event Action<ResizeEventArgs> Resize;

  void Present(IConstTexture parTexture);
  void Exit();
}